-- Minimap
MinimapBorderTop:Hide()
MinimapZoomOut:Hide()
MinimapZoomIn:Hide()
MinimapBorder:Hide()
MinimapBorderTop:Hide()
MinimapZoneText:Hide()
GameTimeFrame:Hide();
MinimapToggleButton:Hide()

MinimapNorthTag:SetAlpha(0)
Minimap:EnableMouseWheel(true)
MiniMapWorldMapButton:SetAlpha(0)

MinimapZoneText:SetPoint("TOPLEFT", "MinimapZoneTextButton", "TOPLEFT", 5, 5)
local onMouseWheel = function(self, delta)
    if (delta > 0) then
        Minimap_ZoomIn()
    else
        Minimap_ZoomOut()
    end
end
Minimap:SetScript("OnMouseWheel", onMouseWheel)

MinimapZoneText:ClearAllPoints()
MinimapZoneText:SetPoint("TOP", MinimapCluster, "TOP", 10, -25)

--MiniMapTracking
if MiniMapTracking then
    MiniMapTracking:SetScale(.8)
    MiniMapTrackingBackground:Hide()
end

hooksecurefunc(MiniMapWorldMapButton, "Show", MiniMapWorldMapButton.Hide)

-- Square Minimap
local SQUARE_TEXTURE = "Interface\\BUTTONS\\WHITE8X8"

local RILLY_CLEAN_BACKDROP = {
    bgFile = SQUARE_TEXTURE,
    edgeFile = SQUARE_TEXTURE,
    tile = false,
    tileSize = 0,
    edgeSize = 1,
    insets = {
      left = -1,
      right = -1,
      top = -1,
      bottom = -1
    }
  }

--------------------------------------------------------------------
-- MINIMAP BORDER
--------------------------------------------------------------------
Minimap:SetMaskTexture(SQUARE_TEXTURE)
local RillyCleanMapBorder = CreateFrame("Frame", "RillyCleanMapBorder", Minimap, "BackdropTemplate")
RillyCleanMapBorder:SetFrameLevel(0)
RillyCleanMapBorder:SetFrameStrata("background")
RillyCleanMapBorder:SetHeight(142)
RillyCleanMapBorder:SetWidth(142)
RillyCleanMapBorder:SetPoint("CENTER",0,0)
RillyCleanMapBorder:SetScale(1)

RillyCleanMapBorder.backdropInfo = RILLY_CLEAN_BACKDROP
RillyCleanMapBorder:ApplyBackdrop()
RillyCleanMapBorder:SetBackdropColor(0,0,0,1)
RillyCleanMapBorder:SetBackdropBorderColor(0,0,0,1)
RillyCleanMapBorder:Show()